// Impedir o envio padrão de todos os formulários
document.querySelectorAll('form').forEach((form) => {
    form.addEventListener('submit', (event) => {
        event.preventDefault(); // Impede o envio padrão do formulário
    });
});

// Função para formatar número como valor monetário
function formatarParaMoeda(valor) {
    return valor.toLocaleString('pt-BR', { style: 'currency', currency: 'BRL' });
}

// Função para preencher os campos e formatar o valor para moeda
function preencherCampos() {
    // Preenche os campos e formata o valor para moeda
    let valor = document.querySelector('#value-u').value.trim();
    let valorFormatado = formatarParaMoeda(parseFloat(valor));

    document.querySelector('#value').innerHTML = valorFormatado;

    // Obtém e exibe a agência de origem
    let getAgencyR = document.querySelector('#agency-u').value;
    // Formata a agência para o formato 0000
    let formattedAgency = getAgencyR.slice(0, 4);
    document.querySelector('#agn-origin').innerHTML = formattedAgency;

    // Obtém e exibe a conta de origem
    let getAccountR = document.querySelector('#account-u').value;
    // Formata a conta para o formato 0000000-0
    let formattedAccount = `${getAccountR.slice(0, 7)}-${getAccountR.slice(7, 8)}`;
    document.querySelector('#orig-account').innerHTML = formattedAccount;
}

// Função para gerar ID aleatório
function IdGenerator() {
    var chars = "01234567890123456789abcdef01234567890123456789ghijkl01234567890123456789mnopqr01234567890123456789stuvwx01234567890123456789yzABCDEFGHIJLMNOPQRSTUVWXYZ01234567890123456789";
    var passwordLength = 32;
    var password = "";

    for (var i = 0; i < passwordLength; i++) {
        var randomNumber = Math.floor(Math.random() * chars.length);
        password += chars.substring(randomNumber, randomNumber + 1);
    }
    return password;
}

// Função para formatar a data
function Data() {
    const data = new Date();
    const month = new Intl.DateTimeFormat('pt-BR', { month: "short" }).format(new Date("1-1-2021")).replace(/['.]/g, '');
    const timeDate = `${data.getDate().toString()} ${month.toUpperCase()} ${data.getFullYear().toString()}`;
    const timeHour = `${data.getHours()}:${data.getMinutes()}:${data.getSeconds()}`;
    const formatDate = `${timeDate} - ${timeHour}`;
    return formatDate;
}

// Captura o envio do formulário principal (.formulario)
document.querySelector('form.formulario').addEventListener('submit', (event) => {
    event.preventDefault(); // Impede o envio padrão do formulário
    
    // Preenche os campos e formata o valor para moeda
    preencherCampos();

    // *** DESTINATÁRIO ***
    // Obtém e exibe o nome do destinatário
    let getNameD = document.querySelector('#name-u').value;
    document.querySelector('#name-orig').innerHTML = getNameD;

    // Obtém e exibe o CPF formatado
    let getCpf = document.querySelector('#cpf-i').value.trim();
    let formatedCpf = `${getCpf.slice(3, 6)}.${getCpf.slice(6, 9)}`;
    document.querySelector('#cpf').innerHTML = formatedCpf;

    // Obtém e exibe a agência de origem
    let getAgencyR = document.querySelector('#agency-u').value;
    let formattedAgency = getAgencyR.slice(0, 4);
    document.querySelector('#agn-origin').innerHTML = formattedAgency;

    // Obtém e exibe a conta de origem
    let getAccountR = document.querySelector('#account-u').value;
    let formattedAccount = `${getAccountR.slice(0, 7)}-${getAccountR.slice(7, 8)}`;
    document.querySelector('#orig-account').innerHTML = formattedAccount;

    // *** REMETENTE ***
    // Obtém e exibe o nome do remetente
    let getNameR = document.querySelector('#name-i').value;
    document.querySelector('#name-des').innerHTML = getNameR;

    // Obtém e exibe a agência do remetente
    let getAgency = document.querySelector('#agency-i').value;
    let formattedAgencyR = getAgency.slice(0, 4);
    document.querySelector('#agn').innerHTML = formattedAgencyR;

    // Obtém e exibe a conta do remetente
    let getAccount = document.querySelector('#account-i').value;
    let formattedAccountR = `${getAccount.slice(0, 7)}-${getAccount.slice(7, 8)}`;
    document.querySelector('#cnt').innerHTML = formattedAccountR;

    // Obtém e exibe a instituição do remetente
    let getInsti = document.querySelector('#inst-i').value;
    document.querySelector('#bco').innerHTML = getInsti;

    // Obtém e exibe o tipo de conta do remetente
    let getType = document.querySelector('#type-i').value;
    document.querySelector('#sel-tp').innerHTML = getType;

    // Exibe a data formatada
    document.querySelector('.sub-data').innerHTML = Data();

    // Gera e exibe um ID único
    document.querySelector('#id').innerHTML = IdGenerator();

    // Altera o layout para exibir os dados preenchidos
    document.querySelector('.data').setAttribute('style', 'display: none');
    document.querySelector('.layout').removeAttribute('style');
});

// Captura o envio do formulário inicial (.init-selt)
document.querySelector('form#init-selt').addEventListener('submit', (event) => {
    event.preventDefault(); // Impede o envio padrão do formulário
    
    // Altera o layout para exibir o formulário principal
    document.querySelector('.init-sel').setAttribute('style', 'display: none');
    document.querySelector('.formulario').setAttribute('style', 'display: default');
});

// Adiciona eventos para seleção de rádio
document.querySelectorAll('input[type="radio"]').forEach((i) => {
    i.addEventListener('click', () => {
        document.querySelector('#i-bb').removeAttribute('style');
        document.querySelector('#i-nu').removeAttribute('style');
        i.closest('label').setAttribute('style', 'border: 2px solid #3cafe7;');
    });
});
